var refreshRate = 30;					// Aktualisierungsrate in Sekunden
var camPicture = "http://www.inducal.de/webcamera/frankenhausen.jpg";	// Link zum Bild der Webcam

// ---------------------------------------------------------------------------------------

function pageLoad() {
  window.detachEvent("onload", pageLoad);
  window.attachEvent("onunload", pageUnload);
  System.Gadget.background = "background.png";
  loadPicture();
  timer();
}

function pageUnload() {
  window.detachEvent("onunload", pageUnload);
  if (refTimer) {
    clearTimeout(refTimer);
    refTimer=null;
  }
}

function timer() {
  refTimer = setInterval("loadPicture();", 1000 * refreshRate);
}

function loadPicture() {
  var now = new Date();
  var dummystring = parseInt(now.getTime() / 1000);
  document.getElementById("camPicture").src = camPicture + "?" + dummystring;
  var img = document.getElementById("camPicture");
  img.onerror = function () {
    document.getElementById("camPicture").src = "error.png";
  }
}

window.attachEvent("onload", pageLoad);
